Render - Get Copyright For Tile
著作権情報を取得するために使用します。
特定のタイルの著作権情報を取得するには、要求でタイルのズーム レベルと x 座標と y 座標を指定する必要があります。 詳細については、「ズーム レベルとタイル グリッドのを
Copyrights API は、Render サービスの著作権情報を提供するように設計されています。 API は、マップ全体の基本的な著作権に加えて、一部の国/地域の特定の著作権グループにサービスを提供しています。
GET {endpoint}/map/copyright/tile/{format}?api-version=2024-04-01&zoom={zoom}&x={x}&y={y}
GET {endpoint}/map/copyright/tile/{format}?api-version=2024-04-01&zoom={zoom}&x={x}&y={y}&text={text}
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
endpoint
|
path | True |
string (uri) |
Azure Mapsサービスのホストネーム。 Azureパブリッククラウドには |
|
format
|
path | True |
応答の目的の形式。 値は、json することも、xml することもできます。 |
|
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
|
x
|
query | True |
integer (int32) |
ズーム グリッド上のタイルの X 座標。 値は 、[0, 2 詳細については、「ズーム レベルとタイル グリッドの」を参照してください。 |
|
y
|
query | True |
integer (int32) |
ズーム グリッド上のタイルの Y 座標。 値は 、[0, 2 詳細については、「ズーム レベルとタイル グリッドの」を参照してください。 |
|
zoom
|
query | True |
integer (int32) |
目的のタイルのズーム レベル。 詳細については、「ズーム レベルとタイル グリッドの」を参照してください。 |
|
text
|
query |
応答からテキスト データを除外する場合は Yes/no 値です。 応答されるのは、画像と国/地域名のみです。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| x-ms-client-id |
string |
Microsoft Entra IDセキュリティモデルで使用されることを意図したアカウントを示します。 このAzure Mapsアカウントの一意IDは、Azure Maps管理プレーンのアカウントAPIから取得できます。
Azure MapsにおけるMicrosoft Entra IDセキュリティの使用についての詳細は、Azure Maps |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
要求は成功しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
AadToken
これらはMicrosoft Entra OAuth 2.0フローです。 Azureロールベースアクセス制御と組み合わせることで、Azure Maps REST APIへのアクセス制御に利用できます。 Azure ロールベースのアクセス制御は、1つ以上の Azure Maps リソースアカウントまたはサブリソースへのアクセスを指定するために使用されます。 Azure Maps REST API に対する 1 つ以上のアクセス許可で構成される組み込みロールまたはカスタム ロールを使用して、任意のユーザー、グループ、またはサービス プリンシパルにアクセス権を付与できます。
シナリオを実装するには、認証の概念表示することをお勧めします。 要約すると、このセキュリティ定義は、特定の API とスコープに対するアクセス制御が可能なオブジェクトを介してアプリケーションをモデル化するためのソリューションを提供します。
Note
- このセキュリティ定義 使用して、アプリケーションがアクセスを要求している Azure Maps リソースを示す必要があります。 これは、Maps 管理 APIから取得できます。
-
Authorization URLは、Azure パブリック クラウド インスタンスに固有です。 ソブリンクラウドは固有の認可URLとMicrosoft Entra IDの設定を持っています。 - Azure ロールベースのアクセス制御は、Azure portal、PowerShell、CLI、Azure SDK、または REST API を使用して
Azure 管理プレーンから構成されます。 - Azure Maps Web SDK を使用すると、複数のユース ケースに対するアプリケーションの構成ベースのセットアップが可能になります。
- Microsoft ID プラットフォームの詳細については、「Microsoft ID プラットフォームの概要」を参照してください。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| https://atlas.microsoft.com/.default |
subscription-key
これは、Azure portal で、または PowerShell、CLI、Azure SDK、または REST API を使用して Azure Maps アカウント を作成 場合にプロビジョニングされる共有キーです。
このキーを使用すると、すべてのアプリケーションがすべての REST API にアクセスできます。 つまり、このキーは、発行されたアカウントのマスター キーとして使用できます。
パブリックに公開されているアプリケーションの場合は、キーを安全に格納できるように、機密クライアント アプリケーション アプローチを使用して Azure Maps REST API にアクセスすることをお勧めします。
型:
apiKey
/:
header
SAS Token
これは、Azure portal、PowerShell、CLI、Azure SDK、または REST API を介して Azure 管理プレーンを介して、Azure Maps リソース のリスト SAS 操作から作成される Shared Access Signature トークンです。
このトークンを使用すると、すべてのアプリケーションは、Azure ロールベースのアクセス制御と、特定のトークンに対する使用の有効期限、レート、およびリージョンに対するきめ細かな制御を使用してアクセスすることが承認されます。 つまり、SAS トークンを使用して、アプリケーションが共有キーよりもセキュリティで保護された方法でアクセスを制御できるようにします。
パブリックに公開されているアプリケーションの場合は、Map アカウント リソースの許可された配信元の特定の一覧を構成し、レンダリングの不正使用を制限し、SAS トークンを定期的に更新するように することをお勧めします。
型:
apiKey
/:
header
例
Successful Tile Copyright Request
要求のサンプル
GET https://atlas.microsoft.com/map/copyright/tile/json?api-version=2024-04-01&zoom=6&x=9&y=22
応答のサンプル
{
"formatVersion": "0.0.1",
"generalCopyrights": [
"© 1992 - 2022 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection, database right protection and other intellectual property rights owned by TomTom or its suppliers. The use of this material is subject to the terms of a license agreement. Any unauthorized copying or disclosure of this material will lead to criminal and civil liabilities.",
"Data Source © 2022 TomTom",
"based on"
],
"regions": [
{
"copyrights": [
"You agree to include as soon as practically possible, but no later than the first new release of the Authorized Application following Your receipt of any 3D Landmarks, any copyright notices related to the display of such landmarks on every Authorized Application and in the “about box” of the Authorized Application. Notwithstanding the aforementioned, TomTom has the right to decide, at its sole discretion, to remove specific 3D Landmarks in subsequent releases of the Licensed Products. In such case, You will remove those 3D Landmarks from the Authorized Application as soon as practically possible, but not later than the first new release of the Authorized Application following Your receipt of the Update to the Licensed Product. TomTom shall not be held responsible for any possible damages, costs or expenses incurred by You related to such removal of a 3D Landmark by TomTom from the Licensed Product or failure to remove a 3D Landmark by You from the Authorized Application.",
"TomTom hereby grants to You a non-exclusive, non-transferable license to use the Software Licensed Products for the sole and limited purpose of assisting You in viewing, analyzing and sectioning the Licensed Products. In no event shall You use the Software Licensed Products to view, analyze, section or in any way manipulate spatial map data that is not provided by TomTom. You shall not derive or attempt to derive the source code of all or any portion of the Licensed Products by reverse engineering, disassembly, decompilation, translation or any other means. You shall affix the following copyright notice on any copy of the GDF Viewer, or any portion of the Licensed Products: “Software ©2011-2020 TomTom North America, Inc. All rights reserved.",
"Neither the Data nor the Licensed Products such as Speed Profiles or TomTom Traffic or any derivatives thereof shall be used for the purpose of enforcement of traffic laws including but not limited to the selection of potential locations for the installation of speed cameras, speed traps or other speed tracking devices. With regards to Speed Profiles, You acknowledge and agrees that the actual speeds may not reflect the legally imposed speed limits.",
"You specifically agree that it shall not: (i) store the data for more than twenty-four (24) hours on Your servers; (ii) broadcast or make Live Services Licensed Products available except to authorized End Users; and (iii) use the feed or information received via the feed for historical data purposes (including but not limited to collection or analysis).",
"© 1992 – 2021 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom. The product includes information copied with permission from Canadian authorities, including © Canada Post Corporation. All rights reserved. The use of this material is subject to the terms of a License Agreement. You will be held liable for any unauthorized copying or disclosure of this material.",
"The following copyright notice applies to the use of Post- FSA layer and 6-digit layer: © 1992 – 2021 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom. The product includes information copied with permission from Canadian authorities, including © Canada Post Corporation, All rights reserved. The use of this material is subject to the terms of a License Agreement. You will be held liable for any unauthorized copying or disclosure of this material. The following copyright notice applies to the use of Points of Interest: © 1992 – 2021 TomTom. All rights reserved. Portions of the POI database contained in Points of Interest North America have been provided by Neustar Localeze The following copyright notice applies to the use of Telecommunications: © 2021 Pitney Bowes Software Inc. All rights reserved. This product contains information and/or data of iconectiv, licensed to be included herein. Copyright © 2021 iconectiv. All rights reserved. The following copyright notice applies to the use of Logistics: © 1992 – 2021 TomTom. Truck Attribute Data © 2004 - 2021 ProMiles Software Development Corporation. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom.",
"The 6-digit alpha/numeric Canadian Postal Codes contained in any Licensed Product cannot be used for bulk mailing of items through the Canadian postal system. Furthermore, the 6-digit alpha/numeric Canadian Postal Codes must be wholly contained in the Authorized Application and shall not be extractable. Canadian Postal Codes cannot be displayed or used for postal code look-up on the Internet, nor can they be extracted or exported from any application to be utilized in the creation of any other data set or application. Notwithstanding the above, an End User may optionally correct or derive Canadian Postal Codes using the Authorized Application, but only as part of the address information for locations (e.g.: of delivery points and depots) that have been set up in the Authorized Application, and optionally extract data for fleet management purposes.",
"This product contains information adapted from Statistics Canada: Boundary Files, 2016 Census; Road Network File, 2018; and Census Population and Dwelling Count Highlight Tables, 2016 Census. This does not constitute an endorsement by Statistics Canada of this product.",
"Contains information licensed under Open Government Licence – Canada.",
"Contains data made available by GeoNames licensed under CC-BY 4.0. For more information visit http://www.geonames.org/.",
"Contains information provided by TransLink (South Coast British Columbia Transportation Authority) under the modified open GTFS Data Terms of Use Agreement. For specifics: https://developer.translink.ca/ServicesGtfs/GtfsData",
"Contains information licensed under Open Government Licence: * Vancouver * City of Victoria * British Columbia * City of Surrey * Kamloops * Nanaimo * City of Westminster * City of Prince George * Burnaby * City of Kelowna * Maple Ridge * North Vancouver"
],
"country": {
"ISO3": "CAN",
"label": "Canada"
}
},
{
"copyrights": [
"You agree to include as soon as practically possible, but no later than the first new release of the Authorized Application following Your receipt of any 3D Landmarks, any copyright notices related to the display of such landmarks on every Authorized Application and in the “about box” of the Authorized Application. Notwithstanding the aforementioned, TomTom has the right to decide, at its sole discretion, to remove specific 3D Landmarks in subsequent releases of the Licensed Products. In such case, You will remove those 3D Landmarks from the Authorized Application as soon as practically possible, but not later than the first new release of the Authorized Application following Your receipt of the Update to the Licensed Product. TomTom shall not be held responsible for any possible damages, costs or expenses incurred by You related to such removal of a 3D Landmark by TomTom from the Licensed Product or failure to remove a 3D Landmark by You from the Authorized Application.",
"TomTom hereby grants to You a non-exclusive, non-transferable license to use the Software Licensed Products for the sole and limited purpose of assisting You in viewing, analyzing and sectioning the Licensed Products. In no event shall You use the Software Licensed Products to view, analyze, section or in any way manipulate spatial map data that is not provided by TomTom. You shall not derive or attempt to derive the source code of all or any portion of the Licensed Products by reverse engineering, disassembly, decompilation, translation or any other means. You shall affix the following copyright notice on any copy of the GDF Viewer, or any portion of the Licensed Products: “Software ©2011-2020 TomTom North America, Inc. All rights reserved.",
"Neither the Data nor the Licensed Products such as Speed Profiles or TomTom Traffic or any derivatives thereof shall be used for the purpose of enforcement of traffic laws including but not limited to the selection of potential locations for the installation of speed cameras, speed traps or other speed tracking devices. With regards to Speed Profiles, You acknowledge and agrees that the actual speeds may not reflect the legally imposed speed limits.",
"You specifically agree that it shall not: (i) store the data for more than twenty-four (24) hours on Your servers; (ii) broadcast or make Live Services Licensed Products available except to authorized End Users; and (iii) use the feed or information received via the feed for historical data purposes (including but not limited to collection or analysis)."
],
"country": {
"ISO3": "OCP",
"label": ""
}
},
{
"copyrights": [
"You agree to include as soon as practically possible, but no later than the first new release of the Authorized Application following Your receipt of any 3D Landmarks, any copyright notices related to the display of such landmarks on every Authorized Application and in the “about box” of the Authorized Application. Notwithstanding the aforementioned, TomTom has the right to decide, at its sole discretion, to remove specific 3D Landmarks in subsequent releases of the Licensed Products. In such case, You will remove those 3D Landmarks from the Authorized Application as soon as practically possible, but not later than the first new release of the Authorized Application following Your receipt of the Update to the Licensed Product. TomTom shall not be held responsible for any possible damages, costs or expenses incurred by You related to such removal of a 3D Landmark by TomTom from the Licensed Product or failure to remove a 3D Landmark by You from the Authorized Application.",
"TomTom hereby grants to You a non-exclusive, non-transferable license to use the Software Licensed Products for the sole and limited purpose of assisting You in viewing, analyzing and sectioning the Licensed Products. In no event shall You use the Software Licensed Products to view, analyze, section or in any way manipulate spatial map data that is not provided by TomTom. You shall not derive or attempt to derive the source code of all or any portion of the Licensed Products by reverse engineering, disassembly, decompilation, translation or any other means. You shall affix the following copyright notice on any copy of the GDF Viewer, or any portion of the Licensed Products: “Software ©2011-2020 TomTom North America, Inc. All rights reserved.",
"Neither the Data nor the Licensed Products such as Speed Profiles or TomTom Traffic or any derivatives thereof shall be used for the purpose of enforcement of traffic laws including but not limited to the selection of potential locations for the installation of speed cameras, speed traps or other speed tracking devices. With regards to Speed Profiles, You acknowledge and agrees that the actual speeds may not reflect the legally imposed speed limits.",
"You specifically agree that it shall not: (i) store the data for more than twenty-four (24) hours on Your servers; (ii) broadcast or make Live Services Licensed Products available except to authorized End Users; and (iii) use the feed or information received via the feed for historical data purposes (including but not limited to collection or analysis)."
],
"country": {
"ISO3": "OUP",
"label": ""
}
},
{
"copyrights": [
"You agree to include as soon as practically possible, but no later than the first new release of the Authorized Application following Your receipt of any 3D Landmarks, any copyright notices related to the display of such landmarks on every Authorized Application and in the “about box” of the Authorized Application. Notwithstanding the aforementioned, TomTom has the right to decide, at its sole discretion, to remove specific 3D Landmarks in subsequent releases of the Licensed Products. In such case, You will remove those 3D Landmarks from the Authorized Application as soon as practically possible, but not later than the first new release of the Authorized Application following Your receipt of the Update to the Licensed Product. TomTom shall not be held responsible for any possible damages, costs or expenses incurred by You related to such removal of a 3D Landmark by TomTom from the Licensed Product or failure to remove a 3D Landmark by You from the Authorized Application.",
"TomTom hereby grants to You a non-exclusive, non-transferable license to use the Software Licensed Products for the sole and limited purpose of assisting You in viewing, analyzing and sectioning the Licensed Products. In no event shall You use the Software Licensed Products to view, analyze, section or in any way manipulate spatial map data that is not provided by TomTom. You shall not derive or attempt to derive the source code of all or any portion of the Licensed Products by reverse engineering, disassembly, decompilation, translation or any other means. You shall affix the following copyright notice on any copy of the GDF Viewer, or any portion of the Licensed Products: “Software ©2011-2020 TomTom North America, Inc. All rights reserved.",
"Neither the Data nor the Licensed Products such as Speed Profiles or TomTom Traffic or any derivatives thereof shall be used for the purpose of enforcement of traffic laws including but not limited to the selection of potential locations for the installation of speed cameras, speed traps or other speed tracking devices. With regards to Speed Profiles, You acknowledge and agrees that the actual speeds may not reflect the legally imposed speed limits.",
"You specifically agree that it shall not: (i) store the data for more than twenty-four (24) hours on Your servers; (ii) broadcast or make Live Services Licensed Products available except to authorized End Users; and (iii) use the feed or information received via the feed for historical data purposes (including but not limited to collection or analysis).",
"The following copyright notice applies to the use of Post- FSA layer and 6-digit layer: © 1992 – 2021 TomTom. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom. The product includes information copied with permission from Canadian authorities, including © Canada Post Corporation, All rights reserved. The use of this material is subject to the terms of a License Agreement. You will be held liable for any unauthorized copying or disclosure of this material. The following copyright notice applies to the use of Points of Interest: © 1992 – 2021 TomTom. All rights reserved. Portions of the POI database contained in Points of Interest North America have been provided by Neustar Localeze The following copyright notice applies to the use of Telecommunications: © 2021 Pitney Bowes Software Inc. All rights reserved. This product contains information and/or data of iconectiv, licensed to be included herein. Copyright © 2021 iconectiv. All rights reserved. The following copyright notice applies to the use of Logistics: © 1992 – 2021 TomTom. Truck Attribute Data © 2004 - 2021 ProMiles Software Development Corporation. All rights reserved. This material is proprietary and the subject of copyright protection and other intellectual property rights owned or licensed to TomTom.",
"© United States Postal Service 2021",
"You shall not use the Municipal Boundary layer of the Administrative Areas product to create or derive applications which are used by third parties for the purpose of tariff, tax jurisdiction, or tax rate determination for a particular address or range of addresses.",
"This product is built on basis on the following elevation data: SRTM, GTOPO, NED data available from the US Geological Survey: https://lta.cr.usgs.gov/products_overview",
"This product is built on basis on the following elevation data: 2-minute Gridded Global Relief Data (ETOPO2v2) available from U.S. Department of Commerce, National Oceanic and Atmospheric Administration, National Geophysical Data Center: http://www.ngdc.noaa.gov/mgg/fliers/06mgg01.html",
"Contains data made available by City of Everett, WA with the following disclaimer:",
"\"The data made available here has been modified for use from its original source, which is the City of Everett. Neither the City of Everett nor the Information Technology Department makes any claims as to the completeness, timeliness, accuracy or content of any data contained in this application; makes any representation of any kind, including, but not limited to, warranty of the accuracy or fitness for a particular use; nor are any such warranties to be implied or inferred with respect to the information or data furnished herein. The data is subject to change as modifications and updates are complete. It is understood that the information contained in the web feed is being used at one's own risk.\" For specifics, please reference: https://data.everettwa.gov/"
],
"country": {
"ISO3": "USA",
"label": "United States"
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
| Copyright |
このオブジェクトは、正常な著作権要求から返されます |
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
すべてのAzure Resource Manager APIで失敗した操作に対してエラー詳細を返す共通のエラー応答です。 (これは、OData エラー応答形式にも従います)。 |
|
Include |
応答からテキスト データを除外する場合は Yes/no 値です。 応答されるのは、画像と国/地域名のみです。 |
|
Region |
地域著作権 |
|
Region |
Country プロパティ |
|
Response |
応答の目的の形式。 値は、json することも、xml することもできます。 |
Copyright
このオブジェクトは、正常な著作権要求から返されます
| 名前 | 型 | 説明 |
|---|---|---|
| formatVersion |
string |
[バージョンの書式設定] プロパティ |
| generalCopyrights |
string[] |
General Copyrights 配列 |
| regions |
Regions 配列 |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
追加情報。 |
|
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
すべてのAzure Resource Manager APIで失敗した操作に対してエラー詳細を返す共通のエラー応答です。 (これは、OData エラー応答形式にも従います)。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
IncludeText
応答からテキスト データを除外する場合は Yes/no 値です。 応答されるのは、画像と国/地域名のみです。
| 値 | 説明 |
|---|---|
| yes |
応答にすべてのテキスト データを含めます。 |
| no |
応答からテキスト データを除外します。 回答は画像と国名のみです。 |
RegionCopyrights
地域著作権
| 名前 | 型 | 説明 |
|---|---|---|
| copyrights |
string[] |
Copyrights 配列 |
| country |
Country プロパティ |
RegionCopyrightsCountry
Country プロパティ
| 名前 | 型 | 説明 |
|---|---|---|
| ISO3 |
string |
ISO3 プロパティ |
| label |
string |
ラベル プロパティ |
ResponseFormat
応答の目的の形式。 値は、json することも、xml することもできます。
| 値 | 説明 |
|---|---|
| json |
JavaScript オブジェクト表記データ交換形式 を する |
| xml |
拡張マークアップ言語 を する |